<?php

include 'conexion.php';

$consulta = "SELECT sede.nombre AS SEDE, categorias.nombre AS CATEGORIA, COUNT(activos.id_activo) AS TOTAL_ACTIVOS 
                FROM activos INNER JOIN categorias ON categorias.id_categoria = activos.fk_id_categoria 
                    INNER JOIN sede ON sede.id_sede = activos.fk_id_sede 
            GROUP BY sede.nombre, categorias.nombre";
                  
$resultado = $conexion->query($consulta);
                    
if(!$resultado){
    echo "Hay un error en la consulta";
}

while($fila = $resultado -> fetch_array()){
    $activos[] = array_map('utf8_encode', $fila);
}

echo json_encode($activos, JSON_UNESCAPED_UNICODE);
$resultado -> close();

?>